TreeMap (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart.treemap

## Class TreeMap

- java.lang.Object
- - com.twosigma.beakerx.widget.Widget
  - - com.twosigma.beakerx.widget.BeakerxWidget
    - - com.twosigma.beakerx.chart.ChartDetails
      - - com.twosigma.beakerx.chart.Chart
        - - com.twosigma.beakerx.chart.treemap.TreeMap

- All Implemented Interfaces:
    com.twosigma.beakerx.widget.CommFunctionality, com.twosigma.beakerx.widget.DisplayableWidget, com.twosigma.beakerx.widget.WidgetItem

      public class TreeMap
      extends Chart

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.twosigma.beakerx.widget.Widget

      `com.twosigma.beakerx.widget.Widget.ActionPerformed, com.twosigma.beakerx.widget.Widget.WidgetDisplayMethodStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ROWS_LIMIT`

    - ### Fields inherited from class com.twosigma.beakerx.chart.Chart

      `PLOT_GRIDLINE, PLOT_LABEL, PLOT_LABEL_X, PLOT_LABEL_Y, PLOT_TITLE`

    - ### Fields inherited from class com.twosigma.beakerx.widget.BeakerxWidget

      `MODEL, MODEL_MODULE_VALUE, MODEL_UPDATE, VIEW_MODULE_VALUE`

    - ### Fields inherited from class com.twosigma.beakerx.widget.Widget

      `APPLICATION_VND_JUPYTER_WIDGET_VIEW_JSON, DESCRIPTION, DISABLED, DISPLAY, INDEX, METHOD, MODEL_ID, MODEL_MODULE, MODEL_MODULE_VERSION, MODEL_MODULE_VERSION_VALUE, MODEL_NAME, MSG_THROTTLE, VALUE, VIEW_MODULE, VIEW_MODULE_VERSION, VIEW_MODULE_VERSION_VALUE, VIEW_NAME, VISIBLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeMap()`
    `TreeMap(net.sf.jtreemap.swing.TreeMapNode root)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ColorProvider` | `getColorProvider()`
    `Mode` | `getMode()`
    `java.lang.String` | `getModelNameValue()`
    `java.lang.Double` | `getRatio()`
    `net.sf.jtreemap.swing.TreeMapNode` | `getRoot()` get the root.
    `java.lang.Boolean` | `getRound()`
    `java.lang.Boolean` | `getSticky()`
    `IToolTipBuilder` | `getToolTipBuilder()`
    `ValueAccessor` | `getValueAccessor()`
    `java.lang.String` | `getViewNameValue()`
    `void` | `setColorProvider(ColorProvider newColorProvider)`
    `void` | `setMode(Mode mode)`
    `void` | `setRatio(java.lang.Double ratio)`
    `void` | `setRoot(net.sf.jtreemap.swing.TreeMapNode newRoot)` set the new root.
    `void` | `setRound(java.lang.Boolean round)`
    `void` | `setSticky(java.lang.Boolean sticky)`
    `void` | `setToolTipBuilder(IToolTipBuilder toolTipBuilder)`
    `void` | `setValueAccessor(ValueAccessor valueAccessor)`

    - ### Methods inherited from class com.twosigma.beakerx.chart.Chart

      `getCustomStyles, getElementStyles, getGridLineStyle, getInitHeight, getInitWidth, getLabelStyle, getLabelXStyle, getLabelYStyle, getLegendLayout, getLegendPosition, getShowLegend, getTitle, getTitleStyle, getUseToolTip, serializeToJsonObject, serializeToJsonObject, setCustomStyles, setGridLineStyle, setInitHeight, setInitWidth, setLabelStyle, setLabelXStyle, setLabelYStyle, setLegendLayout, setLegendPosition, setShowLegend, setTitle, setTitleStyle, setUseToolTip`

    - ### Methods inherited from class com.twosigma.beakerx.chart.ChartDetails

      `getDetails, getDetailsFromMessage, getGraphics, getGraphicsById, getGraphicsUid, onActionDetails, openComm, setDetails, updateDetails`

    - ### Methods inherited from class com.twosigma.beakerx.widget.BeakerxWidget

      `activateWidgetInContainer, addValueChangeMsgCallback, beforeDisplay, content, getModelModuleValue, getViewModuleValue, sendModel, sendModelUpdate, sendModelUpdate`

    - ### Methods inherited from class com.twosigma.beakerx.widget.Widget

      `asWidget, close, display, getComm, getModelModuleVersion, getViewModuleVersion, handleCommEventSync, openComm, sendDisplay, sendUpdate, sendUpdate, sendUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ROWS_LIMIT

          public static final int ROWS_LIMIT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TreeMap

          public TreeMap(net.sf.jtreemap.swing.TreeMapNode root)

    - #### TreeMap

          public TreeMap()

  - ### Method Detail

    - #### getRoot

          public net.sf.jtreemap.swing.TreeMapNode getRoot()

      get the root.
      Returns:
        the root

    - #### setRoot

          public void setRoot(net.sf.jtreemap.swing.TreeMapNode newRoot)

      set the new root.
      Parameters:
        `newRoot` - the new root to set

    - #### getMode

          public Mode getMode()

    - #### setMode

          public void setMode(Mode mode)

    - #### getRatio

          public java.lang.Double getRatio()

    - #### setRatio

          public void setRatio(java.lang.Double ratio)

    - #### getSticky

          public java.lang.Boolean getSticky()

    - #### setSticky

          public void setSticky(java.lang.Boolean sticky)

    - #### getRound

          public java.lang.Boolean getRound()

    - #### setRound

          public void setRound(java.lang.Boolean round)

    - #### getValueAccessor

          public ValueAccessor getValueAccessor()

    - #### setValueAccessor

          public void setValueAccessor(ValueAccessor valueAccessor)

    - #### setColorProvider

          public void setColorProvider(ColorProvider newColorProvider)

    - #### getColorProvider

          public ColorProvider getColorProvider()

    - #### getToolTipBuilder

          public IToolTipBuilder getToolTipBuilder()

    - #### setToolTipBuilder

          public void setToolTipBuilder(IToolTipBuilder toolTipBuilder)

    - #### getModelNameValue

          public java.lang.String getModelNameValue()

      Overrides:
        `getModelNameValue` in class `Chart`

    - #### getViewNameValue

          public java.lang.String getViewNameValue()

      Overrides:
        `getViewNameValue` in class `Chart`